%define name fox
%define version 0.99.164
%define release 2mdk

%define major 164
%define libname lib%{name}%major

Summary: The FOX C++ GUI Toolkit
Name: %{name}
Version: %{version}
Release: %{release}
License: LGPL
Group: Development/C
URL: http://www.cfdrc.com/FOX/fox.html
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: Mesa

%description
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}
Summary: The FOX C++ GUI Toolkit - Librairies
Group: System/Libraries

%description -n %{libname}
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%package -n %{libname}-example-apps
Summary: FOX example applications
Group: Development/C
Requires: %{libname} = %{version}

%description -n %{libname}-example-apps
editor and file browser, written with FOX

%package -n %{libname}-devel
Summary: FOX header files
Group: Development/C
Requires: %{libname} = %{version}
Provides: libfox-devel

%description -n %{libname}-devel
FOX is a C++-Based Library for Graphical User Interface Development
FOX supports modern GUI features, such as Drag-and-Drop, Tooltips, Tab
Books, Tree Lists, Icons, Multiple-Document Interfaces (MDI), timers,
idle processing, automatic GUI updating, as well as OpenGL/Mesa for
3D graphics.  Subclassing of basic FOX widgets allows for easy
extension beyond the built-in widgets by application writers.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --with-opengl=mesa 

%make GL_LIBS="-lGL -lGLU"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

cp -p pathfinder/PathFinder $RPM_BUILD_ROOT/usr/bin

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc
%doc ADDITIONS AUTHORS BUGS INSTALL LICENSE README TRACING
%{_bindir}/reswrap
#%{_includedir}/fox
%_mandir/*/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-example-apps
%defattr(-,root,root)
%{_bindir}/textedit
%{_bindir}/PathFinder

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/fox
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la

%changelog
* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-2mdk
- fix requires

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.99.164-1mdk
- updated to 0.99.164
- split

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.147-1mdk
- updated to 0.99.147-1mdk
- removing --enable-release fix build with gcc-2.96

* Fri Oct 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.132-1mdk
- used srpm from David Sugar <dyfet@ostel.com> :
	fix to assure -frtti is not disabled.
- add macros & bm
- added devel package

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.122-1
- new version

* Fri Mar 24 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b> 0.99.119-1
- new version

* Sun Mar 05 2000 Jos Romildo Malaquias <romildo@iceb.ufpo.b>
- some adaptations

* Tue Nov 10 1998 Ren van Paassen <M.M.vanPaassen@lr.tudelft.nl>
- initial package
